## lxqt-build-tools 0.3.0

=== CMakeLists.txt ===
project(lxqt-build-tools)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)

set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
set(LXQT_BUILD_TOOLS_MINOR_VERSION 2)
set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}${LXQT_BUILD_TOOLS_PATCH_VERSION})

set(LXQT_MAJOR_VERSION 0)
set(LXQT_MINOR_VERSION 11)
set(LXQT_PATCH_VERSION 0)
set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})

include(CMakePackageConfigHelpers)
include(GNUInstallDirs) # Standard directories for installation
include(cmake/FindInstallConfigPath.cmake) # sets LXQT_ETC_XDG_DIR, if unset

#-----------------------------------------------------------------------------
# LXQT_DATA_DIR defaults to CMAKE_INSTALL_FULL_DATADIR. It's added to
#   XDG_DATA_DIRS by the startlxqt script
# Warning: Setting LXQT_DATA_DIR must be done after including GNUInstallDirs
#-----------------------------------------------------------------------------
if (NOT DEFINED LXQT_DATA_DIR)
    set(LXQT_DATA_DIR "${CMAKE_INSTALL_FULL_DATADIR}" CACHE PATH
        "LXQt base directory relative to which data files should be searched"
    )
endif()

set(LXQT_LIBRARY_NAME "lxqt" CACHE STRING "lxqt")
set(LXQT_RELATIVE_SHARE_DIR "${LXQT_LIBRARY_NAME}")
set(LXQT_SHARE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${LXQT_RELATIVE_SHARE_DIR}")
set(LXQT_RELATIVE_TRANSLATIONS_DIR "${LXQT_LIBRARY_NAME}/translations")
set(LXQT_TRANSLATIONS_DIR "${LXQT_SHARE_DIR}/translations")
set(LXQT_GRAPHICS_DIR "${LXQT_SHARE_DIR}/graphics")

file(GLOB toInstallFindModules
    "${PROJECT_SOURCE_DIR}/cmake/find-modules/*.cmake"
)

file(GLOB toInstallModules
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.cmake"
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.in"
)


#-----------------------------------------------------------------------------
# Superbuild mode
#-----------------------------------------------------------------------------
set(FIND_MODULES_INSTALL_DIR "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/lxqt-build-tools/cmake/find-modules/")
set(MODULES_INSTALL_DIR "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/lxqt-build-tools/cmake/modules/")

file(COPY
    ${toInstallFindModules}
    DESTINATION "${FIND_MODULES_INSTALL_DIR}"
)

file(COPY
    ${toInstallModules}
    DESTINATION "${MODULES_INSTALL_DIR}"
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config.cmake.in"
    "${CMAKE_BINARY_DIR}/lxqt-build-tools-config.cmake"
    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
    PATH_VARS
        MODULES_INSTALL_DIR
        FIND_MODULES_INSTALL_DIR
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/LXQtConfigVars.cmake.in"
    "${MODULES_INSTALL_DIR}/LXQtConfigVars.cmake"
    @ONLY
)


#-----------------------------------------------------------------------------
# Installable mode
#-----------------------------------------------------------------------------
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/lxqt-build-tools/")
set(FIND_MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/lxqt-build-tools/find-modules/")
set(MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/lxqt-build-tools/modules/")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/lxqt-build-tools-config.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    PATH_VARS
        MODULES_INSTALL_DIR
        FIND_MODULES_INSTALL_DIR
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/LXQtConfigVars.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtConfigVars.cmake"
    @ONLY
)

# The package version file is common to superbuild and installable mode
write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/lxqt-build-tools-config-version.cmake"
    VERSION ${LXQT_BUILD_TOOLS_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/install/lxqt-build-tools-config.cmake"
    "${CMAKE_BINARY_DIR}/lxqt-build-tools-config-version.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(
    FILES ${toInstallFindModules}
    DESTINATION "${FIND_MODULES_INSTALL_DIR}"
)

install(
    FILES
        ${toInstallModules}
        "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtConfigVars.cmake"
    DESTINATION
        "${MODULES_INSTALL_DIR}"
)

## lxqt-build-tools 0.2.0

=== debian/changelog ===
lxqt-build-tools (0.2.0-3) unstable; urgency=medium

  * Added missed dependency libqt5xdg-dev (>= 2.0.0)

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Nov 2016 19:23:20 +0100

lxqt-build-tools (0.2.0-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.2.0
  * Added build dependency qtbase5-dev
  * Added dependency cmake (>= 3.0.2)
  * Switch Architecture to any again

 -- Alf Gaida <agaida@siduction.org>  Sun, 30 Oct 2016 15:39:40 +0100

lxqt-build-tools (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #839943)

 -- Alf Gaida <agaida@siduction.org>  Fri, 14 Oct 2016 23:05:03 +0200

=== debian/control ===
Source: lxqt-build-tools
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               qtbase5-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-build-tools.git/?h=lxqt-snapshots/latest
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-build-tools.git -b lxqt-snapshots/latest
Homepage: https://github.com/lxde/lxqt-build-tools

Package: lxqt-build-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cmake (>= 3.0.2),
         libqt5xdg-dev (>= 2.0.0), 
         pkg-config,
         qttools5-dev,
         qttools5-dev-tools
Description: Build tools for the LXQt desktop environment
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the tools that are needed by the LXQt build process.

## lxqt-build-tools 0.3.0

=== debian/changelog ===
lxqt-build-tools (0.3.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Dec 2016 18:07:03 -0800

lxqt-build-tools (0.3.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.3.0.
  * Fixed VCS-Fields to branch debian/sid 

 -- Alf Gaida <agaida@siduction.org>  Tue, 06 Dec 2016 22:27:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: lxqt-build-tools
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: devel
@@ -8,14 +10,13 @@
                cmake (>= 3.0.2),
                qtbase5-dev
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-build-tools.git/?h=lxqt-snapshots/latest
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-build-tools.git -b lxqt-snapshots/latest
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-build-tools.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-build-tools.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-build-tools
 
 Package: lxqt-build-tools
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          cmake (>= 3.0.2),
          libqt5xdg-dev (>= 2.0.0), 
          pkg-config,

## lxqt-build-tools 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 2)
-set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 3)
+set(LXQT_BUILD_TOOLS_PATCH_VERSION 1)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}${LXQT_BUILD_TOOLS_PATCH_VERSION})
 
 set(LXQT_MAJOR_VERSION 0)
 set(LXQT_MINOR_VERSION 11)
-set(LXQT_PATCH_VERSION 0)
+set(LXQT_PATCH_VERSION 1)
 set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
 
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
lxqt-build-tools (0.3.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.3.1.
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 02:59:25 +0100

## lxqt-build-tools 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
 set(LXQT_BUILD_TOOLS_MINOR_VERSION 3)
-set(LXQT_BUILD_TOOLS_PATCH_VERSION 1)
-set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}${LXQT_BUILD_TOOLS_PATCH_VERSION})
+set(LXQT_BUILD_TOOLS_PATCH_VERSION 2)
+set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 
 set(LXQT_MAJOR_VERSION 0)
 set(LXQT_MINOR_VERSION 11)
@@ -101,10 +101,10 @@
 )
 
 # The package version file is common to superbuild and installable mode
-write_basic_package_version_file(
-    "${CMAKE_BINARY_DIR}/lxqt-build-tools-config-version.cmake"
-    VERSION ${LXQT_BUILD_TOOLS_VERSION}
-    COMPATIBILITY AnyNewerVersion
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config-version.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/lxqt-build-tools-config-version.cmake"
+    @ONLY
 )
 
 install(FILES

=== debian/changelog ===
lxqt-build-tools (0.3.2-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.3.2.
  * Switched Architecture any --> all  

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 Jan 2017 00:55:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Source: lxqt-build-tools
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: devel
@@ -15,8 +13,9 @@
 Homepage: https://github.com/lxde/lxqt-build-tools
 
 Package: lxqt-build-tools
-Architecture: any
-Depends: ${misc:Depends},
+Architecture: all
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          cmake (>= 3.0.2),
          libqt5xdg-dev (>= 2.0.0), 
          pkg-config,

## lxqt-build-tools 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,16 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 3)
-set(LXQT_BUILD_TOOLS_PATCH_VERSION 2)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 4)
+set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 
-set(LXQT_MAJOR_VERSION 0)
-set(LXQT_MINOR_VERSION 11)
-set(LXQT_PATCH_VERSION 1)
-set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
+
+# Check for needed versions
+# We need at least Qt 5.6.1 and glib-2.0 >= 2.50 to build all LXQt parts
+find_package(PkgConfig REQUIRED)
+find_package(Qt5Core "5.6.1"  REQUIRED)
+pkg_check_modules(GLIB2 glib-2.0>=2.50 REQUIRED)
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
@@ -103,7 +105,7 @@
 # The package version file is common to superbuild and installable mode
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config-version.cmake.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/lxqt-build-tools-config-version.cmake"
+    "${CMAKE_BINARY_DIR}/lxqt-build-tools-config-version.cmake"
     @ONLY
 )

=== debian/changelog ===
lxqt-build-tools (0.4.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 18:28:07 +0100

lxqt-build-tools (0.4.0-4) unstable; urgency=medium

  * Switch to unstable 

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 02:49:26 +0100

lxqt-build-tools (0.4.0-3) experimental; urgency=medium

  * Demote git and lintian to recommends - if not installed some dev-scripts
    will not  work, a dev should know how to handle the situation.

 -- Alf Gaida <agaida@siduction.org>  Wed, 25 Oct 2017 01:42:18 +0200

lxqt-build-tools (0.4.0-2) experimental; urgency=medium

  * Fixed symmangle - sort order is defined by LC_ALL, so using
    LC_ALL=C is a good idea in the script
  * Renamed get-snapshot to git-snapshot
  * Bumped qtxdg dependency to >= 3.1.0
  * Added lintian-overrides
 
 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 17:01:49 +0200

lxqt-build-tools (0.4.0-1) experimental; urgency=medium

  * Cherry-picking new upstream release 0.4.0
  * Added some pkg-lxqt tools:
    - evil: the (in)famous lintian -EvIL ...
    - mangle: mangle single symbols
    - symmangle: mangle whole symbol files
    - git-versions: get current upstream git versions
    - get-snapshot: get a git snapshot

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Sep 2017 16:28:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,27 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
+               libglib2.0-dev,
+               pkg-config,
                qtbase5-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-build-tools.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-build-tools.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-build-tools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-build-tools.git
 Homepage: https://github.com/lxde/lxqt-build-tools
 
 Package: lxqt-build-tools
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         binutils,
          cmake (>= 3.0.2),
-         libqt5xdg-dev (>= 2.0.0), 
+         libqt5xdg-dev (>= 3.1.0),
+         libglib2.0-dev (>= 2.5.0),
          pkg-config,
          qttools5-dev,
          qttools5-dev-tools
+Recommends: git,
+            lintian
 Description: Build tools for the LXQt desktop environment
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-build-tools/releases .*/lxqt-build-tools-([\d\.]+).tar.xz

## lxqt-build-tools 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,20 +5,21 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 4)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 5)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 
 
 # Check for needed versions
-# We need at least Qt 5.6.1 and glib-2.0 >= 2.50 to build all LXQt parts
+# We need at least Qt 5.7.1 and glib-2.0 >= 2.50 to build all LXQt parts
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Core "5.6.1"  REQUIRED)
+find_package(Qt5Core "5.7.1"  REQUIRED)
 pkg_check_modules(GLIB2 glib-2.0>=2.50 REQUIRED)
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
 include(cmake/FindInstallConfigPath.cmake) # sets LXQT_ETC_XDG_DIR, if unset
+include(cmake/modules/LXQtPreventInSourceBuilds.cmake)
 
 #-----------------------------------------------------------------------------
 # LXQT_DATA_DIR defaults to CMAKE_INSTALL_FULL_DATADIR. It's added to

=== debian/changelog ===
lxqt-build-tools (0.5.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Sep 2018 10:24:54 -0700

lxqt-build-tools (0.5.0-1) unstable; urgency=medium

  * Cherry-picking new upstream release 0.5.0

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 02:50:35 +0200

lxqt-build-tools (0.4.0-7) unstable; urgency=medium

  * Really fixed VCS fields
  * Fixed watch file

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 23:12:38 +0200

lxqt-build-tools (0.4.0-6) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed cmake minimum version
  * Bumped Standards to 4.1.4
  * Changed VCS fields for salsa
  * Fixed homepage and Sources url to /lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Apr 2018 20:48:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: lxqt-build-tools
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
+               cmake,
                libglib2.0-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-build-tools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-build-tools.git
-Homepage: https://github.com/lxde/lxqt-build-tools
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
+Homepage: https://github.com/lxqt/lxqt-build-tools
 
 Package: lxqt-build-tools
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          binutils,
-         cmake (>= 3.0.2),
+         cmake,
          libqt5xdg-dev (>= 3.1.0),
          libglib2.0-dev (>= 2.5.0),
          pkg-config,

## lxqt-build-tools 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,15 @@
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-build-tools)
-
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 5)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 6)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 
@@ -128,3 +132,10 @@
     DESTINATION
         "${MODULES_INSTALL_DIR}"
 )
+
+# Tools install
+install(
+    PROGRAMS
+        "lxqt-transupdate"
+    DESTINATION
+        "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
lxqt-build-tools (0.6.0-2ubuntu1) disco; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - Update Vcs-* and Maintainer to Lubuntu values.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 17:07:06 +0000

lxqt-build-tools (0.6.0-2) unstable; urgency=medium

  * Removed libqt5xdg-dev - would introduce a cycle dependency when used
    with libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 15:31:13 +0100

lxqt-build-tools (0.6.0-1) unstable; urgency=medium

  * Cherry-picking new upstream release 0.6.0
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Fixed d/lintian-overrides

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:11:49 +0100

lxqt-build-tools (0.6.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:01:43 -0600

lxqt-build-tools (0.5.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update copyright.
  * Update build depends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 21:42:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: lxqt-build-tools
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libglib2.0-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://phab.lubuntu.me/source/lxqt-build-tools/
+Vcs-Git: https://phab.lubuntu.me/source/lxqt-build-tools.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
 Homepage: https://github.com/lxqt/lxqt-build-tools
 
 Package: lxqt-build-tools
@@ -21,7 +23,6 @@
          ${misc:Depends},
          binutils,
          cmake,
-         libqt5xdg-dev (>= 3.1.0),
          libglib2.0-dev (>= 2.5.0),
          pkg-config,
          qttools5-dev,

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-build-tools 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,15 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 6)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 7)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 
 
 # Check for needed versions
-# We need at least Qt 5.7.1 and glib-2.0 >= 2.50 to build all LXQt parts
+# We need at least Qt 5.10.0 and glib-2.0 >= 2.50 to build all LXQt parts
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Core "5.7.1"  REQUIRED)
+find_package(Qt5Core "5.10.0"  REQUIRED)
 pkg_check_modules(GLIB2 glib-2.0>=2.50 REQUIRED)
 
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
lxqt-build-tools (0.7.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update the upstream signing key.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 22:06:40 -0500

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (= 12),
                libglib2.0-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-build-tools/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-build-tools.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
@@ -19,16 +19,15 @@
 
 Package: lxqt-build-tools
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         binutils,
+Depends: binutils,
          cmake,
          libglib2.0-dev (>= 2.5.0),
          pkg-config,
          qttools5-dev,
-         qttools5-dev-tools
-Recommends: git,
-            lintian
+         qttools5-dev-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: git, lintian
 Description: Build tools for the LXQt desktop environment
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and

## lxqt-build-tools 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,16 +9,9 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 7)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 8)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
-
-
-# Check for needed versions
-# We need at least Qt 5.10.0 and glib-2.0 >= 2.50 to build all LXQt parts
-find_package(PkgConfig REQUIRED)
-find_package(Qt5Core "5.10.0"  REQUIRED)
-pkg_check_modules(GLIB2 glib-2.0>=2.50 REQUIRED)
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation

=== debian/changelog ===
lxqt-build-tools (0.8.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. No other changes.

 -- Raman Sarda <theloudspeaker@ubuntu.com>  Sat, 16 Jan 2021 02:10:00 +0530

lxqt-build-tools (0.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Update the debian/upstream/signing-key.asc
  * New upstream version 0.8.0
  * Move the specific lxqt build scripts in usr/share/lxqt-build-tools/bin
  * Bump Standards-Version to 4.5.1 (no changes)
  * Update debian/copyright

  [ Raphael Hertzog ]
  * Drop ${shlib:Depends} as this is an arch all package

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 16 Dec 2020 09:51:50 +0100

lxqt-build-tools (0.6.0-3) unstable; urgency=medium

  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Added debin/bin/gbp-buildpackage - first iteration
  * Added debian/bin/gbp-import-orig - first iteration
  * Fixed .gitignore

 -- Alf Gaida <agaida@siduction.org>  Mon, 26 Aug 2019 02:31:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libglib2.0-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-build-tools/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-build-tools.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
@@ -26,7 +26,6 @@
          qttools5-dev,
          qttools5-dev-tools,
          ${misc:Depends},
-         ${shlibs:Depends}
 Recommends: git, lintian
 Description: Build tools for the LXQt desktop environment
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt

## lxqt-build-tools 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,11 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 8)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 9)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
+# for lxqt_translate_ts we require at least Qt linguist 5.12.5 for correct file name handling
+set(LXQT_MIN_LINGUIST_VERSION "5.12.5")
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
@@ -42,7 +44,11 @@
 
 file(GLOB toInstallModules
     "${PROJECT_SOURCE_DIR}/cmake/modules/*.cmake"
-    "${PROJECT_SOURCE_DIR}/cmake/modules/*.in"
+    "${PROJECT_SOURCE_DIR}/cmake/modules/*.cpp.in"
+)
+
+file(GLOB toInstallModulesHelpers
+    "${PROJECT_SOURCE_DIR}/cmake/modules/*.pl"
 )
 
 
@@ -59,6 +65,7 @@
 
 file(COPY
     ${toInstallModules}
+    ${toInstallModulesHelpers}
     DESTINATION "${MODULES_INSTALL_DIR}"
 )
 
@@ -74,6 +81,12 @@
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/LXQtConfigVars.cmake.in"
     "${MODULES_INSTALL_DIR}/LXQtConfigVars.cmake"
+    @ONLY
+)
+
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/LXQtTranslateTs.cmake.in"
+    "${MODULES_INSTALL_DIR}/LXQtTranslateTs.cmake"
     @ONLY
 )
 
@@ -100,6 +113,12 @@
     @ONLY
 )
 
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/LXQtTranslateTs.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtTranslateTs.cmake"
+    @ONLY
+)
+
 # The package version file is common to superbuild and installable mode
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config-version.cmake.in"
@@ -121,7 +140,9 @@
 install(
     FILES
         ${toInstallModules}
+        ${toInstallModulesHelpers}
         "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtConfigVars.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtTranslateTs.cmake"
     DESTINATION
         "${MODULES_INSTALL_DIR}"
 )

=== debian/changelog ===
lxqt-build-tools (0.9.0-0ubuntu1) impish; urgency=medium

  * New upstream version 0.9.0
  * Update debian/copyright
  * Update debian/control to use dephelper-compat (= 13)
  * Run wrap-and-sort

 -- apt-ghetto <apt-ghetto@protonmail.com>  Fri, 06 Aug 2021 17:09:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libglib2.0-dev,
                pkg-config,
                qtbase5-dev
@@ -25,7 +25,7 @@
          pkg-config,
          qttools5-dev,
          qttools5-dev-tools,
-         ${misc:Depends},
+         ${misc:Depends}
 Recommends: git, lintian
 Description: Build tools for the LXQt desktop environment
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt

## lxqt-build-tools 0.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,10 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 9)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 10)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
-# for lxqt_translate_ts we require at least Qt linguist 5.12.5 for correct file name handling
-set(LXQT_MIN_LINGUIST_VERSION "5.12.5")
+set(LXQT_MIN_LINGUIST_VERSION "5.15.0")
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation

=== debian/changelog ===
lxqt-build-tools (0.10.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 Jan 2022 10:48:24 -0500

lxqt-build-tools (0.10.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 0.10.0
  * Add debian/salsa-ci.yml file.

  [ Severus Septimius ]
  * Update debian/changelog
  * Update debian/copyright
  * Bump Standards to 4.6.0 (no changes)

  [ Andrew Lee (李健秋) ]
  * Update debian/copyright.
  * Added myself as uploader.
  * Use debhelper-compat = 13, no changes needed.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 08 Jan 2022 18:01:14 +0800

=== debian/control ===
Source: lxqt-build-tools
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libglib2.0-dev,
               pkg-config,
               qtbase5-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
Homepage: https://github.com/lxqt/lxqt-build-tools

Package: lxqt-build-tools
Architecture: all
Depends: ${misc:Depends},
         binutils,
         cmake,
         libglib2.0-dev (>= 2.5.0),
         pkg-config,
         qttools5-dev,
         qttools5-dev-tools
Recommends: git,
            lintian
Description: Build tools for the LXQt desktop environment
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the tools that are needed by the LXQt build process.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-build-tools 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 10)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 11)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 set(LXQT_MIN_LINGUIST_VERSION "5.15.0")

=== debian/changelog ===
lxqt-build-tools (0.11.0-2) unstable; urgency=medium

  * debian/watch: fix uscan error.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 18:45:37 +0800

lxqt-build-tools (0.11.0-1) unstable; urgency=medium

  * Team Upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yao Wei (魏銘廷) ]
  * debian/patches: Use gdesktopappinfo.h to find gio-unix-2.0
  * debian/upstream/metadata: Remove Repository-Browser (typoed entry)
  * debian/control:
    - Bump Standards-Version to 4.6.1;  No related changes.
    - Update version dependency of libglib2.0-dev

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 17 Sep 2022 21:17:34 +0800

lxqt-build-tools (0.11.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fixes compatibility with GLib ≥ 2.71.1 (closes: #1008416).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 16:00:20 +0300

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lxqt-build-tools-$1\.tar\.gz/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/lxqt/lxqt-build-tools/tags .*/v?(\d\S*)\.tar\.gz

## lxqt-build-tools 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 11)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 12)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 set(LXQT_MIN_LINGUIST_VERSION "5.15.0")

=== debian/changelog ===
lxqt-build-tools (0.12.0-3) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * debian/copyright: Overhauled copyright file.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update and sort d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 19 Dec 2022 00:06:56 +0800

lxqt-build-tools (0.12.0-2) unstable; urgency=medium

  * Add d/lintian-overrides to suppress no-manual-page warning.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 16 Dec 2022 00:27:18 +0800

lxqt-build-tools (0.12.0-1) unstable; urgency=medium

  [ Palo Kisa ]
  * debian/watch: Fix github uscan processing
  * New upstream version 0.12.0
  * debian/patches: Remove patches included in 0.12.0

  [ Aaron Rainbolt ]
  * debian/watch: Overhaul watch file to make it compatible with GitHub again.
  * debian/control: Added 'Rules-Requires-Root: no' to silence a Lintian gripe.
  * debian/copyright: Added myself to the copyright file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 21 Nov 2022 23:20:14 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lxqt-build-tools
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
@@ -11,17 +10,18 @@
                libglib2.0-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
 Homepage: https://github.com/lxqt/lxqt-build-tools
+Rules-Requires-Root: no
 
 Package: lxqt-build-tools
 Architecture: all
 Depends: ${misc:Depends},
          binutils,
          cmake,
-         libglib2.0-dev (>= 2.5.0),
+         libglib2.0-dev (>= 2.73.1),
          pkg-config,
          qttools5-dev,
          qttools5-dev-tools

## lxqt-build-tools 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 0)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 12)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 13)
 set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 set(LXQT_MIN_LINGUIST_VERSION "5.15.0")

=== debian/changelog ===
lxqt-build-tools (0.13.0-2) unstable; urgency=medium

  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 12 Jun 2023 22:57:38 +0800

lxqt-build-tools (0.13.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.

  [ Andrew Lee (李健秋) ]
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 10 Jun 2023 08:56:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-build-tools
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
@@ -10,7 +10,7 @@
                libglib2.0-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
 Homepage: https://github.com/lxqt/lxqt-build-tools

## lxqt-build-tools 2.0.0

=== debian/changelog ===
lxqt-build-tools (2.0.0-0ubuntu1) oracular; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Update build and runtime dependencies for Qt 6.
  * Update debian/copyright.
  * Bump Standards-version to 4.7.0, no changes needed.
  * pkg-config -> pkgconf

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 15:58:15 -0500

lxqt-build-tools (0.13.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Remove reverse-applicable cpp17.patch.
  * Run wrap-and-sort.
  * Update copyright years.
  * Update Standards-version to 4.6.2, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 10 May 2023 11:34:02 -0500

lxqt-build-tools (0.12.0-0ubuntu3) lunar; urgency=medium

  * Build using C++17 by default instead of C++14, to be compatible with KDE
    Frameworks and Qt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jan 2023 11:36:17 -0600

lxqt-build-tools (0.12.0-0ubuntu2) lunar; urgency=medium

  * Added 'Rules-Requires-Root: no'.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 27 Nov 2022 13:48:55 -0600

lxqt-build-tools (0.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Actually fix the uscan error. Thanks for the help, arraybolt3!
  * Lubuntuify the package slightly, to make debhelper happy.
  * Remove upstream-applicable patch.
  * Brief copyright update.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 17:04:59 -0600

=== debian/control ===
Source: lxqt-build-tools
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglib2.0-dev,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-build-tools-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-build-tools-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
Homepage: https://github.com/lxqt/lxqt-build-tools
Rules-Requires-Root: no

Package: lxqt-build-tools
Architecture: all
Depends: binutils,
         cmake,
         libglib2.0-dev (>= 2.73.1),
         pkgconf,
         qt6-tools-dev,
         qt6-tools-dev-tools,
         ${misc:Depends}
Recommends: git, lintian
Description: Build tools for the LXQt desktop environment
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the tools that are needed by the LXQt build process.

## lxqt-build-tools 2.0.0+really0.13.0

=== debian/changelog ===
lxqt-build-tools (2.0.0+really0.13.0-1) unstable; urgency=medium

  * Revert to version really0.13.0. (Closes: #1077186)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 01 Aug 2024 07:08:25 +0200

lxqt-build-tools (2.0.0-2) unstable; urgency=medium

  * Run wrap-and-sort.
  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 24 Jul 2024 10:13:18 +0200

lxqt-build-tools (2.0.0-1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * change team email
  * New upstream release.
  * d/control:
    * Upgrade to Qt6.
    * Migrate pkg-config to pkgconf.
    * Remove libglib2.0-dev.
  * d/copyright:
    * Update copyright file list.
    * Update copyright year.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after two calls.
  * debian/control: correct package name to makes piuparts happy.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 12 May 2024 10:40:33 +0200

=== debian/control ===
Source: lxqt-build-tools
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13), libglib2.0-dev,
 pkgconf, qtbase5-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
Homepage: https://github.com/lxqt/lxqt-build-tools
Rules-Requires-Root: no

Package: lxqt-build-tools
Architecture: all
Depends: binutils, cmake, libglib2.0-dev (>= 2.73.1), pkgconf,
 qtbase5-dev, qtbase5-dev-tools, ${misc:Depends}
Standards-Version: 4.6.2
Recommends: git, lintian
Description: Build tools for the LXQt desktop environment
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the tools that are needed by the LXQt build process.
